;;; @file c128.s
;;; Commodore 128 definitions
;;; @author Marko Mkel (marko.makela@nic.funet.fi)
host = 128

;;; start address for the server program
serverstart = $1300
;;; start address for the utility programs
utilstart = $2000

#include "c64common.s"

bstart	= $2d	; start of basic program text
bend	= $1210 ; end of basic program text

bank	= $a9	; temporary variable that holds the memory bank
stack	= $105	; offset to the stack while in interrupt

peek	= $2a2
peekptr = $2aa
poke	= $2af
pokeptr = $2b9

linkprg = $4f4f
basrun	= $5aa6

	;; exit from an interrupt
#mac irqexit
	jmp $ff33
#endm
	;; disable timer interrupts
#mac deactirq
	sei
	lda #$2
	sta $dc0d
#endm
	;; re-enable timer interrupts
#mac reactirq
	lda #$82
	sta $dc0d
#endm
