;;; @file c64.s
;;; Commodore 64 definitions
;;; @author Marko Mkel (marko.makela@nic.funet.fi)
host = 64

;;; start address for the server program
serverstart = $cc00
;;; start address for the utility programs
utilstart = $c000

#include "c64common.s"
bstart	= $2b	; start of basic program text
bend	= $2d	; end of basic program text
#if ramexp
bank	= $a9	; temporary variable that holds the memory bank
#else
bank	= none	; non-banked systems
#endif
blnsw	= $cc
crsw	= $d0

stack	= $104	; offset to the stack while in interrupt

clr	= $a659
linkprg = $a533
stxpt	= $a68e
newstt	= $a7ae

	;; exit from an interrupt
#mac irqexit
	pla
	tay
	pla
	tax
	pla
	rti
#endm
	;; disable timer interrupts
#mac deactirq
	lda #$2
	sta $dc0d
#endm
	;; re-enable timer interrupts
#mac reactirq
	jsr $fddd
#endm
