;;; @file pet2common.s
;;; Commodore PET II series (model B series) definitions
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

bstart	= $2d	; start of basic program text

;;; start address for the server program (bank $0f)
serverstart = $0400

;;; in the 6522, the interrupt flag has to be reset
clearviaifr = 0
;;; in the 6526, the FLAG line may need debouncing in the C64/C128
ciadebounce = 0

;;; Commodore cassette port definitions
c2nread = $dc0d			; CIA Interrupt Control Register
c2nrdval = $10			; FLAG (cassette read)
c2nwrite = $de01		; TPI1 port register B
c2nwrval = $20			; PB5 (cassette write)

;;; 6551 ACIA definitions
acia = $dd00
r6551dt = acia			; transmit/receive data
r6551sr = acia + 1		; programmed reset/status register
r6551cm = acia + 2		; command register
r6551ct = acia + 3		; control register

;;; memory locations
stemp	= $d8	; memory place that may hold the byte being received

start	= $99	; start address of the transfer area
end	= $96	; end address of the transfer
cinv	= $300	; interrupt vector

bstart	= $2d	; start of basic program text
bend	= $2f	; end of basic program text
crsw	= $d0

stack	= $104	; offset to the stack while in interrupt

	;; program header
#mac header
#endm

	;; exit from an interrupt
#mac irqexit
	pla
	tay
	pla
	tax
	pla
	rti
#endm

	;; store the speed settings and enable fast speed
#mac phfast
#endm
	;; restore original speed from fast speed
#mac plfast
#endm
	;; store the speed settings and enable slow speed (no badlines)
#mac phslow
#endm
	;; restore original speed from slow speed
#mac plslow
#endm
	;; disable timer interrupts
#mac deactirq
	sei
#endm
	;; re-enable timer interrupts
#mac reactirq
#endm
