;;; @file cbm/rom.s
;;; Useful VIC-20/C64/C128/264/B KERNAL file handling routines
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

utilstart = $1800

;;; file handling routines
readst	= $ffb7			; read the status of last operation
setlfs	= $ffba			; set default file parameters
setnam	= $ffbd			; set default file name
open	= $ffc0			; open file with default parameters and name
close	= $ffc3			; close file
chkout	= $ffc9			; redirect standard output to file .X
clrchn	= $ffcc			; clear input/output redirections
chrout	= $ffd2			; write .A to standard output
stop	= $ffe1			; check for STOP key
chkin	= $ffc6			; redirect standard input to file .X
chrin	= $ffcf			; read .A from standard input

	;; macro: read the status to .A
#mac readst
	jsr readst
#endm
	;; macro: set the file parameters
#mac setlfs
	jsr setlfs
#endm
	;; macro: set the file name (length in .A)
#mac setnam
	ldx #<{1}
	ldy #>{1}
	jsr setnam
#endm
	;; macro: set the file name, preserving .A
#mac setnama
	pha
	jsr setnam		; On the PET-II series, setnam discards .A
	pla
#endm
	;; macro: set an empty file name (.A=0)
#mac setnam0
	jsr setnam
#endm
	;; macro: store device number if necessary
#mac stdev
	stx device
#endm
	;; macro: set the file parameters, preserving the device number
#mac setlfsd
device = . + 1
	ldx #0			; device number (self-modified)
	jsr setlfs
#endm
