;;; @file cbm/rom.s
;;; Useful VIC-20/C64/C128/264/B KERNAL file handling routines
;;; @author Marko Mkel (marko.makela@nic.funet.fi)

utilstart = $0600

;;; file handling routines
;readst	= $ffb7			; read the status of last operation
setlfs	= $ffba			; set default file parameters
;setnam	= $ffbd			; set default file name (incompatible)
open	= $ffc0			; open file with default parameters and name
close	= $ffc3			; close file
chkout	= $ffc9			; redirect standard output to file .X
clrchn	= $ffcc			; clear input/output redirections
chrout	= $ffd2			; write .A to standard output
stop	= $ffe1			; check for STOP key
chkin	= $ffc6			; redirect standard input to file .X
chrin	= $ffcf			; read .A from standard input

;;; zero page locations
fnadr	= $90			; start address and bank of file name (3 bytes)
status	= $9c			; i/o operation status
fnlen	= $9d			; file name length
	;; macro: read the status to .A
#mac readst
	lda status
;	and #$7f		; bit 7 seems to be irrelevant
#endm
	;; macro: set the file parameters
#mac setlfs
	jsr setlfs
#endm
	;; macro: set the file name (length in .A)
#mac setnam
	sta fnlen
	ldx #<{1}
	stx fnadr		; low byte
	ldx #>{1}
	stx fnadr+1		; high byte
	ldx #15
	stx fnadr+2		; bank
#endm
	;; macro: set an empty file name (.A=0)
#mac setnam0
	sta fnlen
#endm
	;; macro: store device number if necessary
#mac stdev
	stx device
#endm
	;; macro: set the file parameters, preserving the device number
#mac setlfsd
device = . + 1
	ldx #0			; device number (self-modified)
	jsr setlfs
#endm
