;;; @file pet.s
;;; Useful PET KERNAL file handling routines and data structures
;;; @author Marko Mkel (marko.makela@nic.funet.fi)
;;; @author Olaf Seibert (seibert@mbfys.kun.nl)

utilstart = $1800
pet eqm 1

chkout	= $ffc9			; redirect standard output to file .X
clrchn	= $ffcc			; clear input/output redirections
chrout	= $ffd2			; write .A to standard output
stop	= $ffe1			; check for STOP key
chkin	= $ffc6			; redirect standard input to file .X
chrin	= $ffcf			; read .A from standard input

;;; zero page locations
status	= $96			; status of last KERNAL operation
fnlen	= $d1			; file name length
la	= $d2			; logical file number
sa	= $d3			; secondary address
fa	= $d4			; device number
fnadr	= $da			; pointer to the start of the file name

	;; macro: read the status to .A
#mac readst
	lda status
#endm
	;; macro: set the file parameters
#mac setlfs
	sta la
	stx fa
	sty sa
#endm
	;; macro: set the file name (length in .A)
#mac setnam
	ldx #<{1}
	ldy #>{1}
	sta fnlen
	stx fnadr
	sty fnadr+1
#endm
	;; macro: set an empty file name (.A=0)
#mac setnam0
	sta fnlen
#endm
	;; macro: store device number if necessary
#mac stdev
#endm
	;; macro: set the file parameters, preserving the device number
#mac setlfsd
	sta la
	sty sa
#endm
